Subject: Re: [PATCH net-next 13/13] bnxt_en: Make PTP TX timestamp HWRM query silent

From: Breno Leitao <[email-masked]>
Date: Wed, 24 Jan 2024 02:18:36 -0800

Hello Michael, Pavan,

On Mon, Dec 11, 2023 at 04:51:22PM -0800, Michael Chan wrote:
> From: Pavan Chebbi <[email-masked]>
> 
> In a busy network, especially with flow control enabled, we may
> experience timestamp query failures fairly regularly. After a while,
> dmesg may be flooded with timestamp query failure error messages.
> 
> Silence the error message from the low level hwrm function that
> sends the firmware message.  Change netdev_err() to netdev_WARN_ONCE()
> if this FW call ever fails.

This is starting to cause a warning now, which is not ideal, because
this error-now-warning happens quite frequently in Meta's fleet.

At the same time, we want to have our kernels running warninglessly.
Moreover, the call stack displayed by the warning doesn't seem to be
quite useful and doees not help to investigate "the problem", I _think_.

Is it OK to move it back to error, something as:

-	netdev_WARN_ONCE(bp->dev,
+	netdev_err_once(bp->dev,
			 "TS query for TX timer failed rc = %x\n", rc);

Thank you